%define module HTTP

Name: haskell-%{module}
Version: 4000.0.8
Release: %mkrel 1
Summary: A library for client-side HTTP
Url: http://www.haskell.org/http
Group: Development/Other
License: BSD3
Source: http://www.haskell.org/http/download/%{module}-%{version}.tar.gz
BuildRequires: ghc hugs98 ghc-prof
BuildRequires: haddock haskell-macros
BuildRoot: %_tmppath/%name-%version-%release-root
Requires(post): ghc
Requires(preun): ghc

%description
A library for client-side HTTP

%prep
%setup -q -n %{module}-%{version}

%build
%define _cabal_setup Setup.lhs
%_cabal_build

%_cabal_genscripts

%check
%_cabal_check

%install
%_cabal_install

rm -rf %buildroot%{_datadir}/%{module}-%{version}/doc

%_cabal_rpm_gen_deps

%_cabal_scriptlets

%files
%defattr(-,root,root)
%_libdir/%{module}-%{version}
%_docdir/%{module}-%{version}
%_cabal_rpm_files

%clean
rm -fr %buildroot




%changelog
* Sun Dec 06 2009 Funda Wang <fwang@mandriva.org> 4000.0.8-1mdv2010.1
+ Revision: 474020
- new version 4000.0.8

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - rebuild
    - rebuild
    - BR hugs98 ghc-prof
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Feb 27 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.7.7-2mdv2007.0
+ Revision: 126206
- use the powerfull --gen-script cabal option to register the module

* Mon Jan 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.7.7-1mdv2007.1
+ Revision: 109006
- release tag is 1 now

* Mon Jan 15 2007 Olivier Thauvin <nanardon@mandriva.org> 2006.7.7-0.2mdv2007.1
+ Revision: 108991
- buildrequires
- first mandriva pkg
- Create haskell-HTTP

